QGIS Application - Bug report #5252
MSSQL Estimated table parameter is not used
2012-03-28 06:02 PM - Jeremy Palmer

Status: Closed

Priority: Normal
Assignee: Tamas Szekeres
Category: Data Provider

Affected QGIS version:master

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 14986

Description

When loading the "Add MS Tables(s)" Dialog and connecting to a MSSQL database, determining the geometry type is very slow for large
table, even if the "Use estimated table parameters" option is set for the connection.

Looking at

https://github.com/ggis/Quantum-GIS/blob/d212ca7{7174a2063f245e31e27{2848387c1df0/src/providers/mssqgl/qgsmssglsourceselect.

pp#L740 is seems like it should be working. Maybe the parameter is not being passed down correctly?

Associated revisions

Revision 51011559 - 2012-04-01 10:03 PM - Tamas Szekeres

Improve handling of estimated metadata (fixes #5227 fixes #5252)

History

#1 - 2012-04-01 12:57 PM - Tamas Szekeres

Fixed in git@github.com:szekerest/Quantum-GIS.git

#2 - 2012-04-01 01:10 PM - Tamas Szekeres
- Status changed from Open to Closed

Fixed in changeset commit:"51011559c4d7cdb5a11e50cae23a20b688df2b77".

#3 - 2012-04-01 02:37 PM - Jeremy Palmer
- Assignee changed from Tamas Szekeres to Jlirgen Fischer

Thanks. Can this stuff be backported to 1.8?

#4 - 2012-04-09 05:14 PM - Jeremy Palmer
- Status changed from Closed to Reopened
- Assignee changed from Jiirgen Fischer to Tamas Szekeres
Hi Tamas,

| just re-tested this and it still seems that the estimated metadata parameter is not being used correctly. If the un-tick the "Only look in the
geometry_columns metadata table" option large layers take a long time to update in the grid. Also when | add the layer to the canvas it takes a long time too
(as it again tries to determine the table geometry type). Once the layer is added to the canvas, if | view the datasource URI in the metadata tab with the
layer properties it doesn't have the estimated metadata parameter listed.

I'm using revision commit:e54e87f trunk on winxp

Cheers

Jeremy

#5 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2013-10-01 07:18 AM - Tamas Szekeres
- Status changed from Reopened to Closed

Fixed in changeset commit:"51011559c4d7cdb5a11e50cae23a20b688df2b77".
